> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Wallets

> Remove wallets from your tracked leaderboard set.

Remove one or more wallets from your BYOL set. They will no longer appear in your leaderboard queries.

```
DELETE /v2/leaderboard/wallets
```

## Authentication

Pass your API key via query parameter `?key=`, header `x-api-key`, or `Authorization: Bearer`.

## Request body

```json theme={null}
{
  "wallets": [
    "0x94f199fb7789f1aef7fff6b758d6b375100f4c7a",
    "0xe9ad918c7678cd38b12603a762e638a5d1ee7091"
  ]
}
```

<ParamField body="wallets" type="string[]" required>
  Array of wallet addresses to remove from your set.
</ParamField>

## Response

```json theme={null}
{
  "removed": 2,
  "total": 104
}
```

| Field     | Type   | Description                   |
| --------- | ------ | ----------------------------- |
| `removed` | number | Number of wallets removed     |
| `total`   | number | Remaining wallets in your set |

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.polynode.dev/v2/leaderboard/wallets?key=YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "wallets": [
        "0x94f199fb7789f1aef7fff6b758d6b375100f4c7a",
        "0xe9ad918c7678cd38b12603a762e638a5d1ee7091"
      ]
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.polynode.dev/v2/leaderboard/wallets?key=YOUR_API_KEY",
    {
      method: "DELETE",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify({
        wallets: [
          "0x94f199fb7789f1aef7fff6b758d6b375100f4c7a",
          "0xe9ad918c7678cd38b12603a762e638a5d1ee7091"
        ]
      })
    }
  );
  const data = await response.json();
  console.log(`Removed: ${data.removed}, Remaining: ${data.total}`);
  ```

  ```python Python theme={null}
  import requests

  response = requests.delete(
      "https://api.polynode.dev/v2/leaderboard/wallets",
      params={"key": "YOUR_API_KEY"},
      json={
          "wallets": [
              "0x94f199fb7789f1aef7fff6b758d6b375100f4c7a",
              "0xe9ad918c7678cd38b12603a762e638a5d1ee7091"
          ]
      }
  )
  data = response.json()
  print(f"Removed: {data['removed']}, Remaining: {data['total']}")
  ```
</CodeGroup>

<Note>
  Removing a wallet from your set does not affect other API keys that may be tracking the same wallet.
</Note>
